MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Create Vault EntryDelete Vault EntryList Vault EntriesUpdate Vault Entry
Webhooks
API ReferenceVault

List Vault Entries

GET
/v1/vault/entries

List the caller's vault entries, most recently created first by default.

Args: session: Database session. context: Caller's security context; results are scoped to entries the caller owns. mcp_namespace: Optional exact-match filter to a single MCP's credential namespace. created_at: Optional FHIR-style prefixed datetime filters on creation time. updated_at: Optional FHIR-style prefixed datetime filters on last-updated time. _sort: Optional sort field, with a leading "-" for descending.

Returns: Up to 100 matching entries. Credential values are never included.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

mcp_namespace?string|null
created_at?array<string>|

Filter by creation time, FHIR-style prefixed datetime search

updated_at?array<string>|

Filter by last-updated time, FHIR-style prefixed datetime search

_sort?|

Sort field with optional - prefix for descending. Supported: created_at, updated_at

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/vault/entries"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "mcp_namespace": "string",    "provider_name": "string",    "auth_type": "string",    "display_name": "string",    "oauth_email": "string",    "oauth_expires_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "usage_count": 0,    "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",    "config_json": "string"  }]
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Delete Vault Entry

Previous Page

Update Vault Entry

Next Page